﻿using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;
using CodeStock2015EF.Maps;
using CodeStock2015EF.Models;

namespace CodeStock2015EF
{
    public class Context : DbContext
    {
        public Context()
            : base("name=codestock")
        {

        }
        public DbSet<Person> People { get; set; }
        public DbSet<Phone> Phones { get; set; }
        public DbSet<PersonType> PersonTypes { get; set; }
        public DbSet<Company> Companies { get; set; }
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Configurations.Add(new PersonMap());
            modelBuilder.Configurations.Add(new PersonTypeMap());
            modelBuilder.Configurations.Add(new CompanyMap());
            modelBuilder.Configurations.Add(new AddressMap());
        }

    }
}
